Bug 11308 - RSS feed is slightly broken in bootstrap theme
Summary: RSS feed is slightly broken in bootstrap theme
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-26 17:18 UTC by Chris Cormack
Modified: 2015-06-04 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11308 : Fixing rss page in bootstrap (1.06 KB, patch)
2013-11-26 17:19 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11308 : Fixing rss page in bootstrap (1.12 KB, patch)
2013-11-26 18:40 UTC, Mark Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 11308 : Fixing rss page in bootstrap (1.29 KB, patch)
2013-11-27 07:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2013-11-26 17:18:20 UTC

    
Comment 1 Chris Cormack 2013-11-26 17:19:54 UTC Comment hidden (obsolete)
Comment 2 Mark Tompsett 2013-11-26 18:40:19 UTC Comment hidden (obsolete)
Comment 3 Mark Tompsett 2013-11-26 18:41:55 UTC
I switched my theme to bootstrap (opacthemes system preference), and followed test plan in comment #1.
Comment 4 Katrin Fischer 2013-11-27 07:21:08 UTC
Created attachment 23182 [details] [review]
[PASSED QA] Bug 11308 : Fixing rss page in bootstrap

To test:
1/ Do a search in the opac, click on the rss feed icon
2/ Notice the page renders, not like an rss feed should
3/ Apply the patch and refresh
4/ Page should now be (more) valid xml

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Small change, big difference. With the patch the content of
the RSS feed renders like it does for the prog theme.
Comment 5 Galen Charlton 2013-11-27 15:55:46 UTC
Pushed to master.  Thanks, Chris!
Comment 6 Fridolin Somers 2013-12-13 13:25:28 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1